{
    This file is part of FloatView.
    Copyright (c) 2003-2008, Tom Verhoeff (TU/e).

    Example for the FloatView library, illustrating the conversion
    error on i/o.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  *********************************************************************}

program IOConversion;

uses
  FloatView;

type
  F = Double;

var
  n: Integer; { input }
  x: F; { sqrt(n) (output) }
  y: Double; { input }

begin
  writeln ( 'Reads integer n, writes x = sqrt(n),' )
; writeln ( 'Reads y, and compares x to y' )
; write ( 'Give integer n (e.g. 2): ' )
; readln ( n )
; x := sqrt ( n )
; write   ( 'x = ' )
; writeln ( DoubleToStrBinary ( x ) )
; writeln ( '    ', x : 1 : 20, ' (decimal)' )

; write ( 'Give y (e.g. copy x in decimal above): ' )
; readln ( y )
; write   ( 'y = ' )
; writeln ( DoubleToStrBinary ( y ) )
; writeln ( '    ', y : 1 : 20, ' (decimal)' )
; if x < y then writeln ( 'x < y' )
  else if x > y then writeln ( 'x > y' )
  else writeln ( 'x = y' )
end.
